> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Treatment Assignment

> Gets the treatment assignments for a player for every running experiment in the title.

Allowed entity token types: title, title_player_account

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ExperimentationClientTimeout | 7005 |
| ExperimentationTreatmentAssignmentDisabled | 7011 |
| ExperimentationTreatmentAssignmentFailed | 7010 |
| FeatureNotConfiguredForTitle | 1177 |
| InvalidEntityType | 1373 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/experimentation/experimentation.openapi.json post /Experimentation/GetTreatmentAssignment
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Experimentation API
  description: APIs for managing experiments.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Experimentation
    description: ''
paths:
  /Experimentation/GetTreatmentAssignment:
    post:
      tags:
        - Experimentation
      summary: Get Treatment Assignment
      description: >
        Gets the treatment assignments for a player for every running experiment
        in the title.


        Allowed entity token types: title, title_player_account


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ExperimentationClientTimeout | 7005 |

        | ExperimentationTreatmentAssignmentDisabled | 7011 |

        | ExperimentationTreatmentAssignmentFailed | 7010 |

        | FeatureNotConfiguredForTitle | 1177 |

        | InvalidEntityType | 1373 |

        | ProductDisabledForTitle | 1609 |
      operationId: GetTreatmentAssignment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetTreatmentAssignmentRequest'
        description: >-
          Given a title player or a title entity token, returns the treatment
          variants and variables assigned to the entity across all running
          experiments
      responses:
        '200':
          $ref: '#/components/responses/GetTreatmentAssignmentResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetTreatmentAssignmentRequest:
      description: >-
        Given a title player or a title entity token, returns the treatment
        variants and variables assigned to the entity across all running
        experiments
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
      example: {}
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    GetTreatmentAssignmentResult:
      type: object
      properties:
        TreatmentAssignment:
          allOf:
            - $ref: '#/components/schemas/TreatmentAssignment'
          description: Treatment assignment for the entity.
      example: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    TreatmentAssignment:
      type: object
      properties:
        Variables:
          description: List of the experiment variables.
          type: array
          items:
            $ref: '#/components/schemas/Variable'
          x-isclass: true
        Variants:
          description: List of the experiment variants.
          type: array
          items:
            type: string
    Variable:
      type: object
      properties:
        Name:
          description: Name of the variable.
          type: string
        Value:
          description: Value of the variable.
          type: string
      required:
        - Name
  responses:
    GetTreatmentAssignmentResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetTreatmentAssignmentResult'
            example:
              code: 200
              status: OK
              data: {}
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Treatment Assignment](/services/playfab/api-references/rest/experimentation/experimentation/get-treatment-assignment.md)
- [PFExperimentationGetTreatmentAssignmentResult](/services/playfab/api-references/c/pfexperimentationtypes/structs/pfexperimentationgettreatmentassignmentresult.md)
- [PFExperimentationGetTreatmentAssignmentRequest](/services/playfab/api-references/c/pfexperimentationtypes/structs/pfexperimentationgettreatmentassignmentrequest.md)
- [PFExperimentationGetTreatmentAssignmentAsync](/services/playfab/api-references/c/pfexperimentation/functions/pfexperimentationgettreatmentassignmentasync.md)
- [PFExperimentationGetTreatmentAssignmentGetResult](/services/playfab/api-references/c/pfexperimentation/functions/pfexperimentationgettreatmentassignmentgetresult.md)
